# Interface IResourcesLocatorManager

All Superinterfaces:
  `IResourceLocator, IURIResolver`

All Known Implementing Classes:
  `ResourcesLocatorManager`

public interface IResourcesLocatorManager extends IResourceLocator
Resources locator manage to register/unregister `IResourceLocator`.

## Method Summary

Modifier and Type
Method
Description
`void`
`registerResourceLocator(IResourceLocator resourceLocator)`
Register `resourceLocator`.
`void`
`unregisterResourceLocator(IResourceLocator resourceLocator)`
Unregister `resourceLocator`.

### Methods inherited from interface IResourceLocator

`getInputStream`

### Methods inherited from interface IURIResolver

`resolve`

## Method Details

### registerResourceLocator

void registerResourceLocator(IResourceLocator resourceLocator)
Register `resourceLocator`.

### unregisterResourceLocator

void unregisterResourceLocator(IResourceLocator resourceLocator)
Unregister `resourceLocator`.